import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import MattermostLogoLight from './MattermostLogoLight';
import MattermostLogoDark from './MattermostLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const MattermostLogoSvg = forwardRef(function MattermostLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(MattermostLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(MattermostLogoLight, Object.assign({}, props, { ref: ref })));
});
export default MattermostLogoSvg;
